# Contributing to aipatt

We welcome contributions from the community to help improve **aipatt: AI Powered Assistant Tool for Terminals**. Whether it's fixing a bug, adding a new feature, or improving documentation, all contributions are welcome!

## How to Contribute

Please follow these steps to contribute:

1. **Fork the repository**: Create a personal copy of the repository by forking it on GitHub.
2. **Create a new branch**: Use the following command to create a new branch for your changes.

    ```bash
    git checkout -b feature/AmazingFeature
    ```

3. **Make your changes**: Make your improvements, bug fixes, or feature additions in the new branch.
4. **Commit your changes**: Once you're happy with your changes, commit them with a clear message.

    ```bash
    git commit -m 'Add some AmazingFeature'
    ```

5. **Push your changes**: Push your changes to your fork on GitHub.

    ```bash
    git push origin feature/AmazingFeature
    ```

6. **Open a Pull Request**: Go to the original repository and create a pull request from your branch. Make sure to describe the changes and why they're useful.

## Reporting Issues

If you encounter any bugs or have suggestions for improvement, feel free to open an issue. Make sure to include as much detail as possible to help us understand the problem.

## Code of Conduct

By participating in this project, you agree to follow the project's code of conduct, which fosters a respectful and welcoming environment for everyone.

Thank you for contributing!
